<?php

/**
 * Page de traitement permettant l'ajout d'un alias virtuel.
 * C'est elle qui effectue les bons tests et appel la fonction adéquate.
 * Elle est appelée par un formulaire de la page de gestion des alias elle-même appelée par la page d'administration centrale.
 */

session_start();
require_once ($_SERVER["DOCUMENT_ROOT"]."/services/fonctions/sessions/privileges.php");
testPrivileges();
require_once ($_SERVER["DOCUMENT_ROOT"]."/services/fonctions/bdd/alias_virtuels.php");
require_once ($_SERVER["DOCUMENT_ROOT"]."/services/fonctions/bdd/utilisateurs.php");

// Permet le contrôle du domaine renseigné par l'utilisateur
require_once ($_SERVER["DOCUMENT_ROOT"]."/services/fonctions/bdd/domaines.php");
$liste_domaines = listeDomainesBdd($pdo);

if (isset($_POST['nom_alias_virtuel']) && isset($_POST['choix_domaine_alias_virtuel']) && !empty($_POST['nom_alias_virtuel']) && !empty($_POST['choix_domaine_alias_virtuel']) && in_array($_POST['choix_domaine_alias_virtuel'],array_column($liste_domaines,'domaine'))) {
	ajoutAliasVirtuelsBdd($pdo,$_POST['nom_alias_virtuel'],$_POST['choix_domaine_alias_virtuel']);
	header ("Location: /pages/gestion/administration.php?page=alias&succes=1");
	die();
}
else {
	header ("Location: /pages/gestion/administration.php?page=alias&erreur=2");
	die();
}

?>